package testnfc;

public class H_WinUser {
	/*
	#define COLOR_BACKGROUND        1
	#define COLOR_DESKTOP           COLOR_BACKGROUND
	 */
	final static int COLOR_BACKGROUND = 1;
	final static int COLOR_DESKTOP    = COLOR_BACKGROUND;

	/*
	#define MAKEINTRESOURCEA(i) ((LPSTR)((ULONG_PTR)((WORD)(i))))
	#define IDC_ARROW           MAKEINTRESOURCE(32512)
	 */
	final static int IDC_ARROW = 32512;
	
	/*
	// Class styles
	#define CS_VREDRAW          0x0001
	#define CS_HREDRAW          0x0002
	#define CS_DBLCLKS          0x0008
	#define CS_OWNDC            0x0020
	#define CS_CLASSDC          0x0040
	#define CS_PARENTDC         0x0080
	#define CS_NOCLOSE          0x0200
	#define CS_SAVEBITS         0x0800
	#define CS_BYTEALIGNCLIENT  0x1000
	#define CS_BYTEALIGNWINDOW  0x2000
	#define CS_GLOBALCLASS      0x4000
	 */
	final static int
		CS_VREDRAW         = 0x0001,
		CS_HREDRAW         = 0x0002,
		CS_DBLCLKS         = 0x0008,
		CS_OWNDC           = 0x0020,
		CS_CLASSDC         = 0x0040,
		CS_PARENTDC        = 0x0080,
		CS_NOCLOSE         = 0x0200,
		CS_SAVEBITS        = 0x0800,
		CS_BYTEALIGNCLIENT = 0x1000,
		CS_BYTEALIGNWINDOW = 0x2000,
		CS_GLOBALCLASS     = 0x4000;
	
	/*
	// Window Styles
	#define WS_OVERLAPPED       0x00000000L
	#define WS_POPUP            0x80000000L
	#define WS_CHILD            0x40000000L
	#define WS_MINIMIZE         0x20000000L
	#define WS_VISIBLE          0x10000000L
	#define WS_DISABLED         0x08000000L
	#define WS_CLIPSIBLINGS     0x04000000L
	#define WS_CLIPCHILDREN     0x02000000L
	#define WS_MAXIMIZE         0x01000000L
	#define WS_CAPTION          0x00C00000L     // WS_BORDER | WS_DLGFRAME
	#define WS_BORDER           0x00800000L
	#define WS_DLGFRAME         0x00400000L
	#define WS_VSCROLL          0x00200000L
	#define WS_HSCROLL          0x00100000L
	#define WS_SYSMENU          0x00080000L
	#define WS_THICKFRAME       0x00040000L
	#define WS_GROUP            0x00020000L
	#define WS_TABSTOP          0x00010000L
	
	#define WS_MINIMIZEBOX      0x00020000L
	#define WS_MAXIMIZEBOX      0x00010000L
	
	#define WS_TILED            WS_OVERLAPPED
	#define WS_ICONIC           WS_MINIMIZE
	#define WS_SIZEBOX          WS_THICKFRAME
	#define WS_TILEDWINDOW      WS_OVERLAPPEDWINDOW

	// Common Window Styles
	#define WS_OVERLAPPEDWINDOW (WS_OVERLAPPED     |
	                             WS_CAPTION        |
	                             WS_SYSMENU        |
	                             WS_THICKFRAME     |
	                             WS_MINIMIZEBOX    |
	                             WS_MAXIMIZEBOX)
	*/
	final static int
		WS_OVERLAPPED   = 0x00000000,
		WS_POPUP        = 0x80000000,
		WS_CHILD        = 0x40000000,
		WS_MINIMIZE     = 0x20000000,
		WS_VISIBLE      = 0x10000000,
		WS_DISABLED     = 0x08000000,
		WS_CLIPSIBLINGS = 0x04000000,
		WS_CLIPCHILDREN = 0x02000000,
		WS_MAXIMIZE     = 0x01000000,
		WS_CAPTION      = 0x00C00000,
		WS_BORDER       = 0x00800000,
		WS_DLGFRAME     = 0x00400000,
		WS_VSCROLL      = 0x00200000,
		WS_HSCROLL      = 0x00100000,
		WS_SYSMENU      = 0x00080000,
		WS_THICKFRAME   = 0x00040000,
		WS_GROUP        = 0x00020000,
		WS_TABSTOP      = 0x00010000,
		WS_MINIMIZEBOX  = 0x00020000,
		WS_MAXIMIZEBOX  = 0x00010000;
	final static int WS_TILED            = WS_OVERLAPPED;
	final static int WS_ICONIC           = WS_MINIMIZE;
	final static int WS_SIZEBOX          = WS_THICKFRAME;
	final static int WS_OVERLAPPEDWINDOW = WS_OVERLAPPED   |
											WS_CAPTION     |
											WS_SYSMENU     |
											WS_THICKFRAME  |
											WS_MINIMIZEBOX |
											WS_MAXIMIZEBOX;
	final static int WS_TILEDWINDOW      = WS_OVERLAPPEDWINDOW;

	/*
	#define CW_USEDEFAULT       ((int)0x80000000)
	 */
	final static int CW_USEDEFAULT = 0x80000000;
	
	/*
	// PeekMessage() Options
	#define PM_NOREMOVE         0x0000
	#define PM_REMOVE           0x0001
	#define PM_NOYIELD          0x0002
	 */
	final static int
		PM_NOREMOVE   = 0x0000,
		PM_REMOVE     = 0x0001,
		PM_NOYIELD    = 0x0002;
	
	/*
	#define GWLP_WNDPROC        (-4)
	 */
	final static int GWLP_WNDPROC = (-4);
	
	/*
	#define WM_APP                          0x8000
	 */
	final static int WM_APP = 0x8000;
	
}
