package testnfc;

import utildll.*;

/*
typedef struct {
	unsigned long target_device;
	unsigned char dev_info[1];
} DEVICE_INFO;
 */
class Struct_DEVICE_INFO {
	int target_device;
}

/*
// DEVICE_TYPE_NFC_14443A_18092_106K
typedef struct {
	unsigned long target_number;
	unsigned short sens_res;
	unsigned char sel_res;
	unsigned char NFCID1_size;
	unsigned char NFCID1[10];
	unsigned char ATS_size;
	unsigned char ATS[1];
} DEVICE_DATA_NFC_14443A_18092_106K;
*/
class Struct_DEVICE_DATA_NFC_14443A_18092_106K {
	int target_number;
	short sens_res;
	byte sel_res;
	byte NFCID1_size;
	@_Fixed byte[] NFCID1 = new byte[10];
	byte ATS_size;
	@_Fixed @_Length_is("ATS_size") byte[] ATS = null;
}

/*
// DEVICE_TYPE_NFC_14443B_106K
typedef struct {
	unsigned long target_number;
	unsigned char ATQB[12];
	unsigned char ATTRIB_size;
	unsigned char ATTRIB[1];
} DEVICE_DATA_NFC_14443B_106K;
*/
class Struct_DEVICE_DATA_NFC_14443B_106K {
	int target_number;
	@_Fixed byte[] ATQB = new byte[12];
	byte ATTRIB_size;
	@_Fixed @_Length_is("ATTRIB_size") byte[] ATTRIB = null;
}

/*
// DEVICE_TYPE_NFC_18092_212K or 424K
typedef struct {
	unsigned char id;
	unsigned long target_number;
	unsigned char NFCID2[8];
	unsigned char Pad[8];
	unsigned char RD_size;
	unsigned char RD[1];
} DEVICE_DATA_NFC_18092_212_424K;
*/
class Struct_DEVICE_DATA_NFC_18092_212_424K {
	byte id;
	int target_number;
	@_Fixed byte[] NFCID2 = new byte[8];
	@_Fixed byte[] Pad = new byte[8];
	byte RD_size;
	@_Fixed @_Length_is("RD_size") byte[] RD = null;
}
