package testnfc;

import utildll.*;

public class Wrp_JInvoker {
	
	class Arg_property {
		private int _LastError;
	
		int getLastError() {return _LastError;}
	}

	class Arg_allocFunc extends Arg_property {
		private @_FuncPtr Object obj;
		
		Arg_allocFunc(Object obj) {
			this.obj = obj;
		}
	}
	
	long allocFunc(Object obj) {
		Arg_allocFunc aao = new Arg_allocFunc(obj);
		
		long adrs = JInvoker.allocObject(aao);
		
		System.out.println("allocObject allocAdrs: " + Long.toHexString(adrs)
				+ " LastError: " + Integer.toString(aao.getLastError()));
		
		return adrs;
	}

	int freeObject(long adrs) {
		int intRtnVal = JInvoker.freeObject(adrs);
		
		System.out.println("freeObject intRtnVal: " + Integer.toString(intRtnVal));

		return intRtnVal;
	}
	
	class Arg_movePtrToStruct extends Arg_property {
		private Object obj;
		
		Arg_movePtrToStruct(Object obj) {
			this.obj = obj;
		}
	}

	int movePtrToStruct(Object obj, long ptr) {
		Arg_movePtrToStruct ampts = new Arg_movePtrToStruct(obj);
		
		int intRtn = JInvoker.movePtrToObject(ampts, ptr);
		
		System.out.println("movePtrToStruct rtn: " + Integer.toHexString(intRtn)
				+ " LastError: " + Integer.toString(ampts.getLastError()));
		
		return intRtn;
	}
	
	class Arg_sizeof extends Arg_property {
		private @_Const Object obj;

		Arg_sizeof(Object obj) {
			this.obj = obj;
		}
	}

	public long sizeof(Object obj) {
		Arg_sizeof aso = new Arg_sizeof(obj);
		
		long lngSize = JInvoker.sizeof(aso);
		
		System.out.println("sizeof rtn: " + Long.toString(lngSize)
				+ " LastError: " + Integer.toString(aso.getLastError()));
		
		return lngSize;
	}

	class Arg_movePtrToByteArray extends Arg_property {
		private byte[] ab;
		
		Arg_movePtrToByteArray(byte[] ab) {
			this.ab = ab;
		}
	}

	int movePtrToByteArray(byte[] ab, long ptr) {
		Arg_movePtrToByteArray amptba = new Arg_movePtrToByteArray(ab);
		
		int intRtn = JInvoker.movePtrToObject(amptba, ptr);
		
		System.out.println("movePtrToObject rtn: " + Integer.toHexString(intRtn)
				+ " LastError: " + Integer.toString(amptba.getLastError()));
		
		return intRtn;
	}

}
